<?php
/**
 *
 * @category        modules
 * @package         minihero
 * @author          Ruud Eisinga / Dev4me
 * @link			https://www.dev4me.com/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.6 and higher
 * @version         0.1
 * @lastmodified    08 june 2017
 *
 */
 
if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }

if(!file_exists(WB_PATH.'/modules/minihero/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/minihero/languages/EN.php');
} else {
	require_once(WB_PATH.'/modules/minihero/languages/'.LANGUAGE.'.php');
}

// Setup template object
$template = new Template(WB_PATH.'/modules/minihero');
$template->set_file('page', 'modify.htt');
$template->set_block('page', 'main_block', 'main');


// Get page content
$query = "SELECT * FROM ".TABLE_PREFIX."mod_minihero WHERE section_id = '$section_id'";
$get_settings = $database->query($query);
$settings = $get_settings->fetchRow();
$title = ($settings['title']);
$text1 = ($settings['text1']);
$text2 = ($settings['text2']);
$height = ($settings['height']);

$basedir = WB_PATH.MEDIA_DIRECTORY.'/minihero/';
$baseurl = WB_URL.MEDIA_DIRECTORY.'/minihero/';
$imglist = '';
$image = '';

if(file_exists($basedir.'image-'.$section_id.'.jpg')) $image = $baseurl.'image-'.$section_id.'.jpg';
if(file_exists($basedir.'image-'.$section_id.'.png')) $image = $baseurl.'image-'.$section_id.'.png';

if($image) {
	$imglist .= '<img style="max-width:500px;margin:03px;" src="'.$image.'" alt="" title="">'; 
}
// Insert vars
$template->set_var(array(
								'PAGE_ID' => $page_id,
								'SECTION_ID' => $section_id,
								'WB_URL' => WB_URL,
								'TITLE' => $title,
								'TEXT1' => $text1,
								'TEXT2' => $text2,
								'HEIGHT' => $height,
								'TEXT_SAVE' => $TEXT['SAVE'],
								'TEXT_CANCEL' => $TEXT['CANCEL'],
								'TEXT_MINIHERO' => $MH['MINIHERO'],
								'TEXT_SETTINGS' => $MH['SETTINGS'],
								'TEXT_UPLOAD' => $MH['UPLOAD'],
								'TEXT_TITLE' => $MH['TITLE'],
								'TEXT_TEXT1' => $MH['TEXT1'],
								'TEXT_TEXT2' => $MH['TEXT2'],
								'TEXT_HEIGHT' => $MH['HEIGHT'],
								'HELP_HEIGHT' => $MH['HEIGHTHELP'],
								'NOTE' => $MH['NOTE'],
								'FILE' => $MH['FILE'],
								'CURRENT' => $MH['CURRENT'],
								'UPLOADING' => $MH['UPLOADING'],
								'IMAGES' => $imglist
								)
						);

// Parse template object
$template->parse('main', 'main_block', false);
$template->pparse('output', 'page');

?>